<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <script src="./handy-1.4.0.js"></script>
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
    integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
  <title>Server example</title>
</head>

<body>
  <nav class="navbar navbar-expand-lg navbar-light bg-light">
    <div class="navbar-brand">Handy video example</div>
    <div style="display: flex; flex-direction: column; width: 230px;">
      <div class="mr-2" style="display: flex;">Handy status: <div id="connectionHolder" style="margin-left: 5px;">not connected</div></div>
      <div class="mr-2" style="display: flex;">Server latency: <div id="rtdHolder" style="margin-left: 5px;">not synced</div></div>
    </div>
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
      <input type="text" id="handyKey" class="form-control" placeholder="Connection key"
        aria-label="Recipient's username" aria-describedby="basic-addon2">
      <button class="btn btn-success my-2 my-sm-0 ml-2 mr-2" type="submit" onclick="connect()">Connect</button>
      <button class="btn btn-danger" onclick="disconnect()">Disconnect</button>
    </div>
  </nav>
  <div class="container">
    <div class="embed-responsive embed-responsive-16by9">
      <video id="videoHolder" class="embed-responsive-item" src="https://s3-eu-central-1.amazonaws.com/sweettecheu/videos/admin/dataset1_v2_converted.mp4" aria-disabled="true"></video>
    </div>
  </div>
  <script>
    const HANDY = Handy();

    const videoPlayer = document.getElementById('videoHolder');
    HANDY.setVideoElement(videoPlayer);

    function callback(response) {
      console.log('Callback:', response)
      const holder = document.getElementById("rtdHolder");
      holder.innerHTML = `${response.avgRtd} ms`;
      if (response.scriptIsSet && response.avgRtd > 0 && response.connected && response.videoId.length > 0) {
        videoPlayer.setAttribute('aria-disabled', false);
        videoPlayer.setAttribute('controls', true);
      }
    }

    function connect() {
      const holder = document.getElementById("connectionHolder");
      holder.innerHTML = "Connecting...";
      const key = document.getElementById('handyKey').value;
      HANDY.connect(key, callback).then(res => {
        holder.innerHTML = 'connected';
        document.getElementById('handyKey').value = res.connectionKey;
        HANDY.setScript('https://sweettecheu.s3.eu-central-1.amazonaws.com/scripts/admin/dataset+(2)_fix_150420.csv', 'dataset sync video.csv', 975)
          .then(res => {
            console.log('Script setted', res)
          })
          .catch(e => console.error(e));
      }).catch(e => {
        holder.innerHTML = e;
      })
    }

    function disconnect() {
      const res = HANDY.disconnect();
      document.getElementById("connectionHolder").innerHTML = `disconnected`;
      console.log('DISCONNECTED', res);
    }
  </script>
</body>

</html>